ファイルのメタデータを取得
curl --request GET \
--url https://api.hubapi.com/cms/source-code/2026-03/{environment}/metadata/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/source-code/2026-03/{environment}/metadata/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/source-code/2026-03/{environment}/metadata/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": 123,
"folder": true,
"id": "<string>",
"name": "<string>",
"updatedAt": 123,
"archivedAt": 123,
"children": [
"<string>"
],
"hash": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}ソースコード
Retrieve file metadata
指定された環境の指定されたパスにあるファイルのメタデータオブジェクトが取得されます。
GET
/
cms
/
source-code
/
2026-03
/
{environment}
/
metadata
/
{path}
ファイルのメタデータを取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
レスポンス
successful operation
オブジェクトが最初に作成された時点のタイムスタンプ。
このパスがフォルダーを参照するかどうかが決定されます。
CMS開発者ファイルシステムにおけるファイルのパス。
ファイルの名前。
オブジェクトが最後に更新された時点のタイムスタンプ。
オブジェクトがアーカイブ(削除)された時点のタイムスタンプ。
オブジェクトがフォルダーの場合は、フォルダー内のファイルのファイル名が含まれます。
データの整合性の確認に使用される、ファイルの内容の固有ID。
最終更新日 2026年4月10日
⌘I